#! /usr/bin/env python
#coding=utf-8
from PyQt4 import QtGui, QtCore
from test_ui import Ui_MainWindow
import sys

class MainForm(QtGui.QMainWindow):
    def __init__(self, parent=None):
        super(MainForm, self).__init__(parent)
        self.ui = Ui_MainWindow()
        self.ui.setupUi(self)
        self.setCorner(QtCore.Qt.TopLeftCorner, QtCore.Qt.LeftDockWidgetArea)
        self.setCorner(QtCore.Qt.TopRightCorner, QtCore.Qt.RightDockWidgetArea)
        self.setCorner(QtCore.Qt.BottomLeftCorner, QtCore.Qt.LeftDockWidgetArea)
        self.setCorner(QtCore.Qt.BottomRightCorner, QtCore.Qt.RightDockWidgetArea)        
        self.setWindowState(QtCore.Qt.WindowMaximized)
        self.connect(self.ui.pushButton, QtCore.SIGNAL('toggled(bool)'), self.change_layout)
        
        self.change_layout(False)
        
    def change_layout(self, checked):
        if not checked:
            self.ui.groupBox.show()
        else:
            self.ui.groupBox.hide()
        
#        panel = self.ui.dockWidgetContents_4
#        layout = panel.layout()
#        panel.setFixedHeight(layout.minimumSize().height())
        self.adjustSize()
        
if __name__ == "__main__":
    app = QtGui.QApplication(sys.argv)
    mainForm = MainForm()
    mainForm.show()
    sys.exit(app.exec_())